DescriptorProtos.UninterpretedOption.Builder
Date: 2017-07-08

com.google.protobuf

## Class DescriptorProtos.UninterpretedOption.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.Builder>
      - - com.google.protobuf.DescriptorProtos.UninterpretedOption.Builder

- All Implemented Interfaces:
    DescriptorProtos.UninterpretedOptionOrBuilder, Message.Builder, MessageLite.Builder, MessageLiteOrBuilder, MessageOrBuilder, java.lang.Cloneable
  Enclosing class:
    DescriptorProtos.UninterpretedOption

      public static final class DescriptorProtos.UninterpretedOption.Builder
      extends GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.Builder>
      implements DescriptorProtos.UninterpretedOptionOrBuilder

       A message representing a option the parser does not recognize. This only
       appears in options protos created by the compiler::Parser class.
       DescriptorPool resolves these when building Descriptor objects. Therefore,
       options protos in descriptor objects (e.g. returned by Descriptor::options(),
       or produced by Descriptor::CopyTo()) will never have UninterpretedOptions
       in them.

  Protobuf type `google.protobuf.UninterpretedOption`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescriptorProtos.UninterpretedOption.Builder` | `addAllName(java.lang.Iterable<? extends DescriptorProtos.UninterpretedOption.NamePart> values)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `DescriptorProtos.UninterpretedOption.Builder` | `addName(DescriptorProtos.UninterpretedOption.NamePart.Builder builderForValue)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `DescriptorProtos.UninterpretedOption.Builder` | `addName(DescriptorProtos.UninterpretedOption.NamePart value)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `DescriptorProtos.UninterpretedOption.Builder` | `addName(int index, DescriptorProtos.UninterpretedOption.NamePart.Builder builderForValue)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `DescriptorProtos.UninterpretedOption.Builder` | `addName(int index, DescriptorProtos.UninterpretedOption.NamePart value)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `addNameBuilder()` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `addNameBuilder(int index)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `DescriptorProtos.UninterpretedOption.Builder` | `addRepeatedField(Descriptors.FieldDescriptor field, java.lang.Object value)` Like `setRepeatedField`, but appends the value as a new element.
    `DescriptorProtos.UninterpretedOption` | `build()` Constructs the message based on the state of the Builder.
    `DescriptorProtos.UninterpretedOption` | `buildPartial()` Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
    `DescriptorProtos.UninterpretedOption.Builder` | `clear()` Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
    `DescriptorProtos.UninterpretedOption.Builder` | `clearAggregateValue()` `optional string aggregate_value = 8;`
    `DescriptorProtos.UninterpretedOption.Builder` | `clearDoubleValue()` `optional double double_value = 6;`
    `DescriptorProtos.UninterpretedOption.Builder` | `clearField(Descriptors.FieldDescriptor field)` Clears the field.
    `DescriptorProtos.UninterpretedOption.Builder` | `clearIdentifierValue()` The value of the uninterpreted option, in whatever type the tokenizer identified it as during parsing.
    `DescriptorProtos.UninterpretedOption.Builder` | `clearName()` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `DescriptorProtos.UninterpretedOption.Builder` | `clearNegativeIntValue()` `optional int64 negative_int_value = 5;`
    `DescriptorProtos.UninterpretedOption.Builder` | `clearOneof(Descriptors.OneofDescriptor oneof)` TODO(jieluo): Clear it when all subclasses have implemented this method.
    `DescriptorProtos.UninterpretedOption.Builder` | `clearPositiveIntValue()` `optional uint64 positive_int_value = 4;`
    `DescriptorProtos.UninterpretedOption.Builder` | `clearStringValue()` `optional bytes string_value = 7;`
    `DescriptorProtos.UninterpretedOption.Builder` | `clone()` Clones the Builder.
    `java.lang.String` | `getAggregateValue()` `optional string aggregate_value = 8;`
    `ByteString` | `getAggregateValueBytes()` `optional string aggregate_value = 8;`
    `DescriptorProtos.UninterpretedOption` | `getDefaultInstanceForType()` Get an instance of the type with no fields set.
    `static Descriptors.Descriptor` | `getDescriptor()`
    `Descriptors.Descriptor` | `getDescriptorForType()` Get the message's type's descriptor.
    `double` | `getDoubleValue()` `optional double double_value = 6;`
    `java.lang.String` | `getIdentifierValue()` The value of the uninterpreted option, in whatever type the tokenizer identified it as during parsing.
    `ByteString` | `getIdentifierValueBytes()` The value of the uninterpreted option, in whatever type the tokenizer identified it as during parsing.
    `DescriptorProtos.UninterpretedOption.NamePart` | `getName(int index)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `getNameBuilder(int index)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `java.util.List<DescriptorProtos.UninterpretedOption.NamePart.Builder>` | `getNameBuilderList()` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `int` | `getNameCount()` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `java.util.List<DescriptorProtos.UninterpretedOption.NamePart>` | `getNameList()` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `DescriptorProtos.UninterpretedOption.NamePartOrBuilder` | `getNameOrBuilder(int index)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `java.util.List<? extends DescriptorProtos.UninterpretedOption.NamePartOrBuilder>` | `getNameOrBuilderList()` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `long` | `getNegativeIntValue()` `optional int64 negative_int_value = 5;`
    `long` | `getPositiveIntValue()` `optional uint64 positive_int_value = 4;`
    `ByteString` | `getStringValue()` `optional bytes string_value = 7;`
    `boolean` | `hasAggregateValue()` `optional string aggregate_value = 8;`
    `boolean` | `hasDoubleValue()` `optional double double_value = 6;`
    `boolean` | `hasIdentifierValue()` The value of the uninterpreted option, in whatever type the tokenizer identified it as during parsing.
    `boolean` | `hasNegativeIntValue()` `optional int64 negative_int_value = 5;`
    `boolean` | `hasPositiveIntValue()` `optional uint64 positive_int_value = 4;`
    `boolean` | `hasStringValue()` `optional bytes string_value = 7;`
    `protected GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` Get the FieldAccessorTable for this type.
    `boolean` | `isInitialized()` Returns true if all required fields in the message and all embedded messages are set, false otherwise.
    `DescriptorProtos.UninterpretedOption.Builder` | `mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)` Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
    `DescriptorProtos.UninterpretedOption.Builder` | `mergeFrom(DescriptorProtos.UninterpretedOption other)`
    `DescriptorProtos.UninterpretedOption.Builder` | `mergeFrom(Message other)` Merge `other` into the message being built.
    `DescriptorProtos.UninterpretedOption.Builder` | `mergeUnknownFields(UnknownFieldSet unknownFields)` Merge some unknown fields into the `UnknownFieldSet` for this message.
    `DescriptorProtos.UninterpretedOption.Builder` | `removeName(int index)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `DescriptorProtos.UninterpretedOption.Builder` | `setAggregateValue(java.lang.String value)` `optional string aggregate_value = 8;`
    `DescriptorProtos.UninterpretedOption.Builder` | `setAggregateValueBytes(ByteString value)` `optional string aggregate_value = 8;`
    `DescriptorProtos.UninterpretedOption.Builder` | `setDoubleValue(double value)` `optional double double_value = 6;`
    `DescriptorProtos.UninterpretedOption.Builder` | `setField(Descriptors.FieldDescriptor field, java.lang.Object value)` Sets a field to the given value.
    `DescriptorProtos.UninterpretedOption.Builder` | `setIdentifierValue(java.lang.String value)` The value of the uninterpreted option, in whatever type the tokenizer identified it as during parsing.
    `DescriptorProtos.UninterpretedOption.Builder` | `setIdentifierValueBytes(ByteString value)` The value of the uninterpreted option, in whatever type the tokenizer identified it as during parsing.
    `DescriptorProtos.UninterpretedOption.Builder` | `setName(int index, DescriptorProtos.UninterpretedOption.NamePart.Builder builderForValue)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `DescriptorProtos.UninterpretedOption.Builder` | `setName(int index, DescriptorProtos.UninterpretedOption.NamePart value)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `DescriptorProtos.UninterpretedOption.Builder` | `setNegativeIntValue(long value)` `optional int64 negative_int_value = 5;`
    `DescriptorProtos.UninterpretedOption.Builder` | `setPositiveIntValue(long value)` `optional uint64 positive_int_value = 4;`
    `DescriptorProtos.UninterpretedOption.Builder` | `setRepeatedField(Descriptors.FieldDescriptor field, int index, java.lang.Object value)` Sets an element of a repeated field to the given value.
    `DescriptorProtos.UninterpretedOption.Builder` | `setStringValue(ByteString value)` `optional bytes string_value = 7;`
    `DescriptorProtos.UninterpretedOption.Builder` | `setUnknownFields(UnknownFieldSet unknownFields)` Set the `UnknownFieldSet` for this message.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Description copied from class: `GeneratedMessageV3.Builder`
      Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.
      Specified by:
        `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.Builder>`

    - #### clear

          public DescriptorProtos.UninterpretedOption.Builder clear()

      Description copied from class: `GeneratedMessageV3.Builder`
      Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
      Specified by:
        `clear` in interface `Message.Builder`
      Specified by:
        `clear` in interface `MessageLite.Builder`
      Overrides:
        `clear` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.Builder>`

    - #### getDescriptorForType

          public Descriptors.Descriptor getDescriptorForType()

      Description copied from interface: `Message.Builder`
      Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.
      Specified by:
        `getDescriptorForType` in interface `Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.Builder>`

    - #### getDefaultInstanceForType

          public DescriptorProtos.UninterpretedOption getDefaultInstanceForType()

      Description copied from interface: `MessageLiteOrBuilder`
      Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.
      Specified by:
        `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `MessageOrBuilder`

    - #### build

          public DescriptorProtos.UninterpretedOption build()

      Description copied from interface: `MessageLite.Builder`
      Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `build` in interface `Message.Builder`
      Specified by:
        `build` in interface `MessageLite.Builder`

    - #### buildPartial

          public DescriptorProtos.UninterpretedOption buildPartial()

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `buildPartial` in interface `Message.Builder`
      Specified by:
        `buildPartial` in interface `MessageLite.Builder`

    - #### clone

          public DescriptorProtos.UninterpretedOption.Builder clone()

      Description copied from interface: `MessageLite.Builder`
      Clones the Builder.
      Specified by:
        `clone` in interface `Message.Builder`
      Specified by:
        `clone` in interface `MessageLite.Builder`
      Overrides:
        `clone` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.Builder>`
      See Also:
        `Object.clone()`

    - #### setField

          public DescriptorProtos.UninterpretedOption.Builder setField(Descriptors.FieldDescriptor field,
                                                              java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets a field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getField(Descriptors.FieldDescriptor)` would return.
      Specified by:
        `setField` in interface `Message.Builder`
      Overrides:
        `setField` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.Builder>`

    - #### clearField

          public DescriptorProtos.UninterpretedOption.Builder clearField(Descriptors.FieldDescriptor field)

      Description copied from interface: `Message.Builder`
      Clears the field. This is exactly equivalent to calling the generated "clear" accessor method corresponding to the field.
      Specified by:
        `clearField` in interface `Message.Builder`
      Overrides:
        `clearField` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.Builder>`

    - #### clearOneof

          public DescriptorProtos.UninterpretedOption.Builder clearOneof(Descriptors.OneofDescriptor oneof)

      Description copied from class: `AbstractMessage.Builder`
      TODO(jieluo): Clear it when all subclasses have implemented this method.
      Specified by:
        `clearOneof` in interface `Message.Builder`
      Overrides:
        `clearOneof` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.Builder>`

    - #### setRepeatedField

          public DescriptorProtos.UninterpretedOption.Builder setRepeatedField(Descriptors.FieldDescriptor field,
                                                                      int index,
                                                                      java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets an element of a repeated field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getRepeatedField(Descriptors.FieldDescriptor,int)` would return.
      Specified by:
        `setRepeatedField` in interface `Message.Builder`
      Overrides:
        `setRepeatedField` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.Builder>`

    - #### addRepeatedField

          public DescriptorProtos.UninterpretedOption.Builder addRepeatedField(Descriptors.FieldDescriptor field,
                                                                      java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Like `setRepeatedField`, but appends the value as a new element.
      Specified by:
        `addRepeatedField` in interface `Message.Builder`
      Overrides:
        `addRepeatedField` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.Builder>`

    - #### mergeFrom

          public DescriptorProtos.UninterpretedOption.Builder mergeFrom(Message other)

      Description copied from interface: `Message.Builder`
      Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`). Merging occurs as follows. For each field:
      * For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
      * For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
      * For repeated fields, the elements in `other` are concatenated with the elements in this message. * For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved. This is equivalent to the `Message::MergeFrom` method in C++.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.UninterpretedOption.Builder>`

    - #### mergeFrom

          public DescriptorProtos.UninterpretedOption.Builder mergeFrom(DescriptorProtos.UninterpretedOption other)

    - #### isInitialized

          public final boolean isInitialized()

      Description copied from interface: `MessageLiteOrBuilder`
      Returns true if all required fields in the message and all embedded messages are set, false otherwise.

      See also: `MessageOrBuilder.getInitializationErrorString()`

      Specified by:
        `isInitialized` in interface `MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.Builder>`

    - #### mergeFrom

          public DescriptorProtos.UninterpretedOption.Builder mergeFrom(CodedInputStream input,
                                                               ExtensionRegistryLite extensionRegistry)
                                                                 throws java.io.IOException

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Specified by:
        `mergeFrom` in interface `MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.UninterpretedOption.Builder>`
      Throws:
        `java.io.IOException`

    - #### getNameList

          public java.util.List<DescriptorProtos.UninterpretedOption.NamePart> getNameList()

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
      Specified by:
        `getNameList` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getNameCount

          public int getNameCount()

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
      Specified by:
        `getNameCount` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getName

          public DescriptorProtos.UninterpretedOption.NamePart getName(int index)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
      Specified by:
        `getName` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### setName

          public DescriptorProtos.UninterpretedOption.Builder setName(int index,
                                                             DescriptorProtos.UninterpretedOption.NamePart value)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### setName

          public DescriptorProtos.UninterpretedOption.Builder setName(int index,
                                                             DescriptorProtos.UninterpretedOption.NamePart.Builder builderForValue)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### addName

          public DescriptorProtos.UninterpretedOption.Builder addName(DescriptorProtos.UninterpretedOption.NamePart value)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### addName

          public DescriptorProtos.UninterpretedOption.Builder addName(int index,
                                                             DescriptorProtos.UninterpretedOption.NamePart value)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### addName

          public DescriptorProtos.UninterpretedOption.Builder addName(DescriptorProtos.UninterpretedOption.NamePart.Builder builderForValue)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### addName

          public DescriptorProtos.UninterpretedOption.Builder addName(int index,
                                                             DescriptorProtos.UninterpretedOption.NamePart.Builder builderForValue)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### addAllName

          public DescriptorProtos.UninterpretedOption.Builder addAllName(java.lang.Iterable<? extends DescriptorProtos.UninterpretedOption.NamePart> values)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### clearName

          public DescriptorProtos.UninterpretedOption.Builder clearName()

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### removeName

          public DescriptorProtos.UninterpretedOption.Builder removeName(int index)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### getNameBuilder

          public DescriptorProtos.UninterpretedOption.NamePart.Builder getNameBuilder(int index)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### getNameOrBuilder

          public DescriptorProtos.UninterpretedOption.NamePartOrBuilder getNameOrBuilder(int index)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
      Specified by:
        `getNameOrBuilder` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getNameOrBuilderList

          public java.util.List<? extends DescriptorProtos.UninterpretedOption.NamePartOrBuilder> getNameOrBuilderList()

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
      Specified by:
        `getNameOrBuilderList` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### addNameBuilder

          public DescriptorProtos.UninterpretedOption.NamePart.Builder addNameBuilder()

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### addNameBuilder

          public DescriptorProtos.UninterpretedOption.NamePart.Builder addNameBuilder(int index)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### getNameBuilderList

          public java.util.List<DescriptorProtos.UninterpretedOption.NamePart.Builder> getNameBuilderList()

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### hasIdentifierValue

          public boolean hasIdentifierValue()

           The value of the uninterpreted option, in whatever type the tokenizer
           identified it as during parsing. Exactly one of these should be set.

      `optional string identifier_value = 3;`
      Specified by:
        `hasIdentifierValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getIdentifierValue

          public java.lang.String getIdentifierValue()

           The value of the uninterpreted option, in whatever type the tokenizer
           identified it as during parsing. Exactly one of these should be set.

      `optional string identifier_value = 3;`
      Specified by:
        `getIdentifierValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getIdentifierValueBytes

          public ByteString getIdentifierValueBytes()

           The value of the uninterpreted option, in whatever type the tokenizer
           identified it as during parsing. Exactly one of these should be set.

      `optional string identifier_value = 3;`
      Specified by:
        `getIdentifierValueBytes` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### setIdentifierValue

          public DescriptorProtos.UninterpretedOption.Builder setIdentifierValue(java.lang.String value)

           The value of the uninterpreted option, in whatever type the tokenizer
           identified it as during parsing. Exactly one of these should be set.

      `optional string identifier_value = 3;`

    - #### clearIdentifierValue

          public DescriptorProtos.UninterpretedOption.Builder clearIdentifierValue()

           The value of the uninterpreted option, in whatever type the tokenizer
           identified it as during parsing. Exactly one of these should be set.

      `optional string identifier_value = 3;`

    - #### setIdentifierValueBytes

          public DescriptorProtos.UninterpretedOption.Builder setIdentifierValueBytes(ByteString value)

           The value of the uninterpreted option, in whatever type the tokenizer
           identified it as during parsing. Exactly one of these should be set.

      `optional string identifier_value = 3;`

    - #### hasPositiveIntValue

          public boolean hasPositiveIntValue()

      `optional uint64 positive_int_value = 4;`
      Specified by:
        `hasPositiveIntValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getPositiveIntValue

          public long getPositiveIntValue()

      `optional uint64 positive_int_value = 4;`
      Specified by:
        `getPositiveIntValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### setPositiveIntValue

          public DescriptorProtos.UninterpretedOption.Builder setPositiveIntValue(long value)

      `optional uint64 positive_int_value = 4;`

    - #### clearPositiveIntValue

          public DescriptorProtos.UninterpretedOption.Builder clearPositiveIntValue()

      `optional uint64 positive_int_value = 4;`

    - #### hasNegativeIntValue

          public boolean hasNegativeIntValue()

      `optional int64 negative_int_value = 5;`
      Specified by:
        `hasNegativeIntValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getNegativeIntValue

          public long getNegativeIntValue()

      `optional int64 negative_int_value = 5;`
      Specified by:
        `getNegativeIntValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### setNegativeIntValue

          public DescriptorProtos.UninterpretedOption.Builder setNegativeIntValue(long value)

      `optional int64 negative_int_value = 5;`

    - #### clearNegativeIntValue

          public DescriptorProtos.UninterpretedOption.Builder clearNegativeIntValue()

      `optional int64 negative_int_value = 5;`

    - #### hasDoubleValue

          public boolean hasDoubleValue()

      `optional double double_value = 6;`
      Specified by:
        `hasDoubleValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getDoubleValue

          public double getDoubleValue()

      `optional double double_value = 6;`
      Specified by:
        `getDoubleValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### setDoubleValue

          public DescriptorProtos.UninterpretedOption.Builder setDoubleValue(double value)

      `optional double double_value = 6;`

    - #### clearDoubleValue

          public DescriptorProtos.UninterpretedOption.Builder clearDoubleValue()

      `optional double double_value = 6;`

    - #### hasStringValue

          public boolean hasStringValue()

      `optional bytes string_value = 7;`
      Specified by:
        `hasStringValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getStringValue

          public ByteString getStringValue()

      `optional bytes string_value = 7;`
      Specified by:
        `getStringValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### setStringValue

          public DescriptorProtos.UninterpretedOption.Builder setStringValue(ByteString value)

      `optional bytes string_value = 7;`

    - #### clearStringValue

          public DescriptorProtos.UninterpretedOption.Builder clearStringValue()

      `optional bytes string_value = 7;`

    - #### hasAggregateValue

          public boolean hasAggregateValue()

      `optional string aggregate_value = 8;`
      Specified by:
        `hasAggregateValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getAggregateValue

          public java.lang.String getAggregateValue()

      `optional string aggregate_value = 8;`
      Specified by:
        `getAggregateValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getAggregateValueBytes

          public ByteString getAggregateValueBytes()

      `optional string aggregate_value = 8;`
      Specified by:
        `getAggregateValueBytes` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### setAggregateValue

          public DescriptorProtos.UninterpretedOption.Builder setAggregateValue(java.lang.String value)

      `optional string aggregate_value = 8;`

    - #### clearAggregateValue

          public DescriptorProtos.UninterpretedOption.Builder clearAggregateValue()

      `optional string aggregate_value = 8;`

    - #### setAggregateValueBytes

          public DescriptorProtos.UninterpretedOption.Builder setAggregateValueBytes(ByteString value)

      `optional string aggregate_value = 8;`

    - #### setUnknownFields

          public final DescriptorProtos.UninterpretedOption.Builder setUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Set the `UnknownFieldSet` for this message.
      Specified by:
        `setUnknownFields` in interface `Message.Builder`
      Overrides:
        `setUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.Builder>`

    - #### mergeUnknownFields

          public final DescriptorProtos.UninterpretedOption.Builder mergeUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Merge some unknown fields into the `UnknownFieldSet` for this message.
      Specified by:
        `mergeUnknownFields` in interface `Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.Builder>`